<?php

namespace App\Http\Controllers\Volunteer;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Application;
use App\Models\VolunteerFormTwo;
use App\Models\VolunteerFormOne;
use App\Models\VolunteerFormThree;
use App\Models\VolunteerLanguage;
use Illuminate\Support\Facades\Validator;
use App\Models\Language;
use Auth;
use CreateVolunteerLanguagesTable;

class ApplicationController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
    //     if(Auth::user()->applications->count() == 0):
            $languages = Language::get();
            return view('volunteer.application.index' , compact('languages'));
        // else:
        //     return redirect(route(''));
        // endif;
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }
    public function store(Request $request)
    {
           $rules=  [
               'full_name' => 'required', 
               'email' => 'required|unique:applications,email',
               'phone_no' => 'required',
               'address' => 'required',
               'ever_lived_montreal' => 'required',
               'gender' => 'required',
               'age_slot' => 'required',
               'education' => 'required',
               'field_of_study' => 'required',
               'profession' => 'required',
               'volunteering_before' => 'required',
               'volunteer_experience' => 'required',
               'previous_volunteering_mental_health' => 'required',
               'languages' => 'required',
               'volunteer_other_experience' => 'required',
               'willing_undergo_background'=> 'required',
               'how_know_project' => 'required',
               'cv' => 'required|mimes:pdf,csv',
           ];
       
           $message =[
            'full_name.required' => 'Full Name is require',
            'email.required' => 'Email is require',
            'phone_no.required' => 'Phone No is require',
            'address.required' => 'Address is require',
            'ever_lived_montreal.required' => 'lived in Montreal is require',
            'gender.required' => 'Gender is require',
            'age_slot.required' => 'Age is require',
            'education.required' => 'Education is require',
            'field_of_study.required' => 'Education Field is require',
            'profession.required' => 'Profession Field is require',
            'volunteering_before.required' => 'Have you been involved in any kind of volunteering before is require',
            'previous_volunteering_mental_health.required' => ' volunteering/work experience with mental health is require',
            'languages.required' => 'Languages Of User is require',
            'volunteer_other_experience.required' => 'other volunteering experience is require',
            'willing_undergo_background.required' => 'Are you willing to undergo a background is require',
            'how_know_project.required' => 'How did you come to know about this project is require',
            'cv.required' => ' cv is require',
            'cv.mimes' => 'cv should be in PDF form',
           ];

          $validator = Validator::make($request->all(), $rules, $message);

        if ($validator->fails()) {
            return response()->json(['errors' => $validator->getMessageBag()->toArray()]);
        }

      $speak_languages_other = "";
        foreach($request->speak_languages_other as $value){
             $speak_languages_other .=$value." , ";
        }
        foreach($request->languages as $value){
              $lan = new VolunteerLanguage();
              $lan->volunteer_id = Auth::user()->id;
              $lan->language_id = $value;
              $lan->save();
        }

        $application = new Application;
        $data = $request->all();
        $file = $request->file('cv');
        $name = time().str_replace(' ', '', $file->getClientOriginalName());
        $file->move(public_path().'/uploads', $name);
        $data['cv'] = $name;

        $data['status'] = 'P';
        $data['user_id'] = Auth::user()->id;
        $data['speak_languages_other'] = $speak_languages_other;
        $application->fill($data);
        $application->save();

        // Auth::user()->languages()->saveMany($request->languages);
        // Auth::user()->languages()->attach($request->languages);// new query to save
        
        $msg = 'Inserted Successfully.';
        return response()->json(['msg'=>$msg]);


    }

    public function form_one(){
        return view('volunteer.application.form_one');
    }

    public function form_two(){
        $languages = Language::all();
        return view('volunteer.application.form_two' , compact('languages'));
    }

    public function form_three(){
        return view('volunteer.application.form_three');
    }

    public function store_form_one(Request $request){
        $input = $request->all();
        $form = new VolunteerFormOne();
        $input['volunteer_id'] = Auth::user()->id;
        $form->fill($input); 
        $form->save();
        return redirect()->back()->with('success' , 'Submitted Successfully');
    }

    public function store_form_two(Request $request){

        $opper ='';
        foreach($request->oppertunities as $value){
              $opper .= $value.',';
        }
        $op =trim($opper, ',');
        // dd($op);
        $form = new VolunteerFormTwo();
        $input = $request->all();
        // dd($input);
        $input['volunteer_opportunities']=$op;
        $input['volunteer_id'] = Auth::user()->id;
        $form->fill($input); 
        $form->save();
        return redirect()->back()->with('success' , 'Submitted Successfully');

    }


    public function store_form_three(Request $request){

        $rules=  [
            'date' => 'required', 
            'is_agree' => 'required', 
        ];
    
        $message =[
         'date.required' => 'Date is required',
         'is_agree.required' => 'You must agree to Confidentiality',
        ];

        $validator = Validator::make($request->all(), $rules, $message);
        if ($validator->fails()) {
            return response()->json(['errors' => $validator->getMessageBag()->toArray()]);
        }
        $input = $request->all();
        
        $form = new VolunteerFormThree();
        $input['volunteer_id'] = Auth::user()->id;
        $form->fill($input); 
        $form->save();
        $msg = 'Inserted Successfully.';
        return response()->json(['msg'=>$msg]);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
