<?php

namespace App\Http\Controllers\Volunteer;

use App\Http\Controllers\Controller;;

use App\Models\TrainingFeedback;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use Carbon\Carbon;
use Illuminate\Support\Facades\Auth;

class TrainingFeedbackController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('volunteer.training.t_feedback');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \App\Http\Requests\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $rules =
        [
          'batch_id'=>"required|unique:training_feedback,training_batch",
        ];
        $message = [
            'batch_id.required' => 'First comfirm your training batch',
           'batch_id.unique' => 'Already submitted feedback for this batch',
           
        ]
    ;

    $validator = Validator::make($request->all(), $rules, $message);

    if ($validator->fails()) {
        return back()->with(['errors' => $validator->getMessageBag()->toArray()]);
    }

        $mytime = Carbon::now();
        $c_date= $mytime->toDateString();
        $input = $request->all();
       
        $slot = new TrainingFeedback();
        $input['availabe_till_date'] =  $c_date;
        $input['volunteer_id'] =Auth::user()->id;
        $slot->fill($input);
        $slot->save();
        return redirect()->back()->with("success", "Submitted Successfully");
        // return back()->with("success", "Updated Successfully");
    
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\TrainingFeedback  $trainingFeedback
     * @return \Illuminate\Http\Response
     */
    public function show(TrainingFeedback $trainingFeedback)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\TrainingFeedback  $trainingFeedback
     * @return \Illuminate\Http\Response
     */
    public function edit(TrainingFeedback $trainingFeedback)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \App\Http\Requests\UpdateTrainingFeedbackRequest  $request
     * @param  \App\Models\TrainingFeedback  $trainingFeedback
     * @return \Illuminate\Http\Response
     */
    public function update(UpdateTrainingFeedbackRequest $request, TrainingFeedback $trainingFeedback)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\TrainingFeedback  $trainingFeedback
     * @return \Illuminate\Http\Response
     */
    public function destroy(TrainingFeedback $trainingFeedback)
    {
        //
    }
}
