@extends('volunteer.include.main')
@section('style')
<style>
    .overlay {
        display: none;
        position: fixed;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        z-index: 10000000000;
        opacity: 0.5;
        background-color: #eee;
        transition: .3s all ease;
    }
</style>
@endsection
@section('content')
    <div class="card">
        <div class="card-header">
            <div class="card-title">Apply for Volunteer</div>
        </div>


        <div class="card-body">
            <div class="overlay"></div>
            @if (Auth::user()->application == null)
                <form action="{{ route('volunteer.apply.store') }}" method="POST" enctype="multipart/form-data" class="form">
                    @csrf
                    <div id="wizard2">
                        <h3>Personal Information</h3>
                        <section>
                            <div class="row">
                                <div class="col-md-5 col-lg-4">
                                    <label class="form-control-label">Full Name / Nom complet: <span
                                            class="tx-danger">*</span></label>
                                    <input class="form-control" 
                                        placeholder="Enter Full Name" readonly id="full_name" value="{{ Auth::user()->get_name()}}" type="text">
                                    <input class="form-control" name="full_name" value="{{ Auth::user()->get_name()}}" type="hidden">
                                </div>
                                <div class="col-md-5 col-lg-4 mg-t-20 mg-md-t-0">
                                    <label class="form-control-label">Email address / Adresse e-mail : <span
                                            class="tx-danger">*</span></label>
                                    <input class="form-control" readonly  value="{{ Auth::user()->email}}" placeholder="Enter Email"
                                        required="" id="email" type="email">
                                    <input value="{{ Auth::user()->email}}"  name="email" type="hidden">
                                </div>
                                <div class="col-md-5 col-lg-4 mg-t-20 mg-md-t-0">
                                    <label class="form-control-label">Phone Number / Numero de : <span
                                            class="tx-danger">*</span></label>
                                    <input class="form-control" readonly value="{{ Auth::user()->phone}}" placeholder="Enter Phone Number"
                                            type="number">
                                    <input class="form-control" id="phone_number" name="phone_no" value="{{ Auth::user()->phone}}" required=""
                                            type="hidden">
                                </div>
                            </div>
                            <div class="row mt-5">
                                <div class="col-md-12 col-lg-12 mg-t-20 mg-md-t-0">
                                    <label class="form-control-label">What is your current address? / Quelle est votre
                                        adresse
                                        actuelle?  <span class="tx-danger">*</span></label> 
                                        <input value="{{Auth::user()->address_one}}"
                                        class="form-control" id="c_adress" name="address"
                                        placeholder="Enter Current Address" required="" type="text">
                                </div>


                            </div>
                            <div class="row mt-5">
                                <div class="col-md-5 col-lg-4">
                                    <label class="form-control-label">Have you ever lived in Montreal? / Avez-vous déjà vécu
                                        à
                                        Montréal? <span class="tx-danger">*</span></label>
                                    <div class="form-check">
                                        <input class="form-check-input lived_montreal" type="radio"
                                            name="ever_lived_montreal" id="lived_montreal" value="Y" checked>
                                        <label class="form-check-label" for="exampleRadios1">
                                            Yes / Oui
                                        </label>
                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input lived_montreal" type="radio"
                                            name="ever_lived_montreal" id="lived_montreal2" value="N">
                                        <label class="form-check-label" for="lived_montreal2">
                                            No / Non
                                        </label>
                                    </div>

                                </div>
                                <div class="col-md-5 col-lg-4">
                                    <label class="form-control-label">Gender / Veuillez indiquer votre sexe:<span
                                            class="tx-danger">*</span></label>
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="gender"
                                            value="Female/Femme" id="exampleRadios1" checked>
                                        <label class="form-check-label" for="exampleRadios1">
                                            Female / Femme
                                        </label>
                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="gender" 
                                            value="Male/Homme" id="exampleRadios2">
                                        <label class="form-check-label" for="exampleRadios2">
                                            Male / Homme
                                        </label>
                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="gender" id="exampleRadios3"
                                            value="Prefer not to say/Je préfère ne pas répond">
                                        <label class="form-check-label" for="exampleRadios3">
                                            Prefer not to say / Je préfère ne pas répondre
                                        </label>
                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="gender" id="exampleRadios4"
                                            value="Other">
                                        <label class="form-check-label" for="exampleRadios4">
                                            Other
                                        </label>
                                    </div>

                                </div>
                                <div class="col-md-5 col-lg-4">
                                    <label class="form-control-label">Age / Âge: <span
                                            class="tx-danger">*</span></label>
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="age_slot" id="age1"
                                            value="18 to 25 / 18 à 25" checked>
                                        <label class="form-check-label" for="age1">
                                            18 to 25 / 18 à 25
                                        </label>
                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="age_slot" id="age2"
                                            value="25 to 40 / 25 à 40">
                                        <label class="form-check-label" for="age2">
                                            25 to 40 / 25 à 40
                                        </label>
                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="age_slot" id="age3"
                                            value="40 to 55 / 40 à 55">
                                        <label class="form-check-label" for="age3">
                                            40 to 55 / 40 à 55
                                        </label>
                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="age_slot" id="age4"
                                            value="55 and above / 55 et plus">
                                        <label class="form-check-label" for="age4">
                                            55 and above / 55 et plus
                                        </label>
                                    </div>

                                </div>
                            </div>


                        </section>
                        <h3>Education / éducation</h3>
                        <section>
                            {{-- row1 --}}
                            <div class="row ">check
                                <div class="col-md-12 col-lg-12">
                                    <label class="form-control-label">Highest level of education: / Le plus haut niveau
                                        d'éducation:
                                        <span class="tx-danger">*</span></label>
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="education" id="education"
                                            value="High School" checked>
                                        <label class="form-check-label" for="education">
                                            High School / Secondaire
                                        </label>
                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="education" id="education1"
                                            value="CEGEP">
                                        <label class="form-check-label" for="education1">
                                            CEGEP/College
                                        </label>
                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="education" id="education2"
                                            value="University/Professional degree">
                                        <label class="form-check-label" for="education2">
                                            University/Professional degree / Diplôme universitaire / professionnel
                                        </label>
                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="education" id="education3"
                                            value="None">
                                        <label class="form-check-label" for="education3">
                                            None / Aucun
                                        </label>
                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="education" id="education4"
                                            value="Other">
                                        <label class="form-check-label" for="education4">
                                            Other
                                        </label>
                                    </div>

                                </div>
                            </div>
                            {{-- row 2 --}}
                            <div class="row mt-5">
                                <div class="col-md-12 col-lg-12">
                                    <label class="form-control-label">What is your educational background / field of study:
                                        (e.g., BA in
                                        Psychology) / Quelle est votre formation / domaine d'études: (par exemple, Bac en
                                        psychologie) :
                                        <span class="tx-danger">*</span></label>
                                    <input class="form-control" id="field_of_study" name="field_of_study"
                                        placeholder="Enter educational background / field of study /  formation / domaine d'études" required="" type="text">
                                </div>

                            </div>
                            {{-- row 3 --}}
                            <div class="row mt-5">
                                <div class="col-md-12 col-lg-12">
                                    <label class="form-control-label">What is your profession/ line of work? (e.g., Social
                                        worker,
                                        Marketing etc.) / Quelle est votre profession / métier? (par exemple, travailleur
                                        social,
                                        marketing, etc.) : <span class="tx-danger">*</span></label> <input
                                        class="form-control" id="profession" name="profession"
                                        placeholder="Enter Profession / line of work / profession / métier" required="" type="text">
                                </div>
                            </div>
                            {{-- row 4 --}}
                            <div class="row mt-5">
                                <div class="col-md-12 col-lg-12">
                                    <label class="form-control-label">Have you been involved in any kind of volunteering
                                        before?
                                        /
                                        Avez-vous des expériences de bénévolat antérieures? <span
                                            class="tx-danger">*</span></label>
                                      <div class="form-check">
                                        <input class="form-check-input" type="radio" name="volunteering_before"
                                            id="volunteering_before" value="Y" checked>
                                        <label class="form-check-label" for="volunteering_before">
                                            Yes / Oui
                                        </label>
                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="volunteering_before"
                                            id="volunteering_before2" value="N">
                                        <label class="form-check-label" for="volunteering_before2">
                                            No / Non
                                        </label>
                                    </div>

                                </div>
                            </div>
                            {{-- row5 --}}
                            <div class="row mt-5">
                                <div class="col-md-12 col-lg-12">
                                    <label class="form-control-label">Do you have previous volunteering/ work experience with the geriatric population? / Avez-vous déjà fait du bénévolat ou avez-vous déjà travaillé avec la population gériatrique? <span class="tx-danger">*</span></label>
                                    <select class="form-select form-select-lg mb-3" name="volunteer_experience"
                                        id="volunteer_experience" aria-label=".form-select-lg example">
                                        <option selected>Choose</option>
                                        <option value="No volunteering/work experience with the geriatric population / Aucune experience avec la population gériatrique">No volunteering/work experience with the geriatric population / Aucune experience avec la population gériatrique</option>
                                        <option value="Yes, 1 year / Oui, 1 an">Yes, 1 year / Oui, 1 an</option>
                                        <option value="Yes, 1-2 years / Oui, 1-2 ans">Yes, 1-2 years / Oui, 1-2 ans
                                        </option>
                                        <option value="More than 2 years / Plus de 2 ans">More than 2 years / Plus de 2 ans
                                        </option>
                                        </option>
                                    </select>
                                </div>
                            </div>
                            {{-- row 6 --}}
                            <div class="row mt-5">
                                <div class="col-md-12 col-lg-12">
                                    <label class="form-control-label">Do you have previous volunteering/ work experience with mental health? / Avez-vous déjà fait du bénévolat ou avez-vous déjà travaillé dans ledomaine de la santé mentale?  
                                        <span class="text-danger">*</span></label>
                                    <select class="form-select form-select-lg mb-3"
                                        name="previous_volunteering_mental_health" aria-label=".form-select-lg example">
                                        <option selected>Choose</option>
                                        <option value="No volunteering/work experience with mental health">No volunteering/work experience with mental health / Aucun experience dans le domaine de la santé mentale</option>
                                        <option value="Yes, 1 year">Yes, 1 year / Oui, 1 an</option>
                                        <option value="Yes, 1-2 years ">Yes, 1-2 years / Oui, 1-2 ans</option>
                                        <option value="Yes, 1-2 years">Yes, 1-2 years / Oui, 1-2 ans</option>
                                    </select>
                                </div>
                            </div>
                            {{-- row 7 --}}
                            <div class="row mt-5">
                                <div class="col-md-12 col-lg-12">
                                    <label class="form-control-label">Do you have any other volunteering experience? If so, please briefly describe. / Avez-vous d'autre expériences de bénévolat? Si oui, veuillez décrire brièvement? <span class="tx-danger">*</span></label> 
                                    <textarea class="form-control" id="volunteer_other_experience" name="volunteer_other_experience" placeholder="Enter volunteering experience" 
                                    required=""></textarea>
                                </div>
                            </div>
                        </section>
                        <h3>Languages /langue(s)</h3>
                        <section>
                            {{-- row 1 --}}
                            <div class="row">
                                <div class="col-md-12 col-lg-12 mg-t-20 mg-md-t-0">
                                    <label class="form-control-label">Which language(s) you can speak fluently? / Quelle(s)
                                        langue(s)
                                        parlez-vous couramment?  <span class="tx-danger">*</span></label>
                                        <div class="row">
                                            @foreach ($languages as $item)                                        
                                            @if (strtolower($item->abbr) == "en" ||  strtolower($item->abbr) == "fr")
                                                <div class="col-3">
                                                    <div class="form-check">
                                                        <input class="form-check-input" name="languages[]" type="checkbox"
                                                            value="{{ $item->id }}" id="flexCheckChecked{{ $item->id }}"
                                                            >
                                                        <label class="form-check-label" for="flexCheckChecked{{ $item->id }}">
                                                            {{ $item->name }}
                                                        </label>
                                                    </div>
                                                </div>
                                            @endif
                                            @endforeach
    
                                        </div>
                                    
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12 col-lg-12 mg-t-20 mg-md-t-0">
                                    <div class="form-check">
                                        <input class="form-check-input" type="checkbox" id="speak_other_languages_check"
                                            >
                                        <label class="form-check-label" for="speak_other_languages_check">
                                            Speak Other Languages?*
                                        </label>
                                    </div>
                                        <div class="modal fade " id="modelnew" tabindex="-1" role="dialog"
                                                aria-labelledby="normalmodal" aria-hidden="true">
                                            <div class="modal-dialog modal-lg" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h5 class="modal-title" id="normalmodal">
                                                            Languages
                                                        </h5>
                                                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                            aria-label="Close">
                                                            <span aria-hidden="true">×</span>
                                                        </button>
                                                    </div>
                                                    <div class="modal-body">
                                                            <div class="row mt-5">
                                                                <div class="col-md-12">
                                                                    <h5>Languges: </h5>
                                                                </div>
                                                            </div>
                                                        <div class="row">
                                                            @foreach ($languages as $item)
                                                                @if (strtolower($item->abbr) != "en" &&  strtolower($item->abbr) != "fr")
                                                                    <div class="col-3">
                                                                        <div class="form-check">
                                                                            <input class="form-check-input" name="speak_languages_other[]" type="checkbox"
                                                                                value="{{$item->name}} ({{ $item->abbr }})" id="flexCheckChecked{{ $item->id }}"
                                                                                >
                                                                            <label class="form-check-label" for="flexCheckChecked{{ $item->id }}">
                                                                                {{$item->name}} ({{ $item->abbr }})
                                                                            </label>
                                                                        </div>
                                                                    </div>
                                                                @endif
                                                            
                                                            @endforeach
                                                        </div>
                                                    </div>
                                                
                                                </div>
                                            </div>
                                        </div>

                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12 col-lg-12 mg-t-20 mg-md-t-0">
                                    <label class="form-control-label">More us to Know?<span
                                            class="tx-danger">*</span></label>
                                    <textarea placeholder="More us to Know?" name="more_us_to_know" id="more_us_to_know"
                                        class="form-control"></textarea>
                                </div>
                            </div>
                            {{-- row 2 --}}
                            {{-- <div class="row mt-5">
                                <div class="col-md-12 col-lg-12 mg-t-20 mg-md-t-0">
                                    <label class="form-control-label">
                                        If you speak any other languages please list them in the space provided below: / Si vous parlez d'autres langues, veuillez les énumérer dansl'espace
                                        prévu
                                        ci-dessous? <span class="tx-danger">*</span></label> <input
                                        class="form-control" id="volunteer_other_experience"
                                        name="volunteer_other_experience" placeholder="Enter Other languages" required=""
                                        type="text">
                                </div>
                            </div> --}}
                            {{-- row 3 --}}
                            <div class="row mt-5">
                                <div class="col-md-12 col-lg-12">
                                    <label class="form-control-label">Are you willing to undergo a background check? /
                                        Êtes-vous prêt à
                                        subir une vérification des antécédents judiciaires? * <span
                                            class="checking_undergo_background2" value="option2">
                                            <div class="form-check">
                                                <input class="form-check-input" type="radio"
                                                    name="willing_undergo_background" id="willing_undergo_background" value="Y" checked>
                                                <label class="form-check-label" for="willing_undergo_background">
                                                    Yes / Oui
                                                </label>
                                            </div>
                                            <div class="form-check">
                                                <input class="form-check-input" type="radio"
                                                    name="willing_undergo_background" id="willing_undergo_background2" value="N">
                                                <label class="form-check-label" for="willing_undergo_background2">
                                                    No / Non
                                                </label>
                                            </div>
                                </div>

                            </div>

                            {{-- row 4 --}}
                            <div class="row mt-5">
                                <div class="col-md-12 col-lg-12 mg-t-20 mg-md-t-0">
                                    <label class="form-control-label">How did you come to know about this project? Please
                                        mention your
                                        source clearly. / Comment avez-vous entendu parler de notre programme? Veuillez
                                        mentionner
                                        clairement votre source?<span class="tx-danger">*</span></label> <input
                                        class="form-control" id="how_know_project" name="how_know_project"
                                        placeholder="How did you come to know about this project? Please mention your source clearly." required="" type="text">
                                </div>
                            </div>
                            {{-- row 5 --}}
                            <div class="row mt-5">

                                <div class="col-md-12 col-lg-12 mg-t-20 mg-md-t-0">
                                    <label class="form-control-label">Upload Cv /PDF<span
                                            class="tx-danger">*</span></label> <input class="form-control" id="cv"
                                        name="cv" placeholder="" required="" type="file">
                                </div>
                            </div>
                    </div>
                    </section>
                    <div class="row mt-5">
                        <div class="col-12 float-right">
                            <input type="submit" class="btn btn-success submit d-none" value="Submit" style="display:none">
                        </div>
                    </div>
                    
                </form>
            @else 
                 <h3 class="text-center text-danger">Your application has been submitted successfully. Thank you for your application.</h3> 
            @endif

        </div>
    @endsection
    @section('script')
        <script>
            $(document).on('click' , '#speak_other_languages_check' , function(){
                console.log('fbhdn');
                if($(this).is(":checked")){
                    var myModal = new bootstrap.Modal(document.getElementById('modelnew'), {
                        keyboard: false
                    })
                    myModal.show();
                }
            })
        </script>
    @endsection
